<?php

session_start();
ob_start();

/**
 * Connection properties
 *
 * @author: http://phpdao.com
 * @date: 27.11.2007
 */
class ConnectionProperty {

    private static $host = 'localhost';
    private static $user = 'serieale_dbuser';
    private static $password = 'rre2*irt*41';
    private static $database = 'serieale_erpserial';

    public static function getHost() {
        return ConnectionProperty::$host;
    }

    public static function getUser() {
        return ConnectionProperty::$user;
    }

    public static function getPassword() {
        return ConnectionProperty::$password;
    }

    public static function getDatabase() {

        if ($_SESSION['dbname'] != "" && isset($_SESSION['dbname'])) {
            return ConnectionProperty::$database = $_SESSION['dbname'];
        } else {
            return ConnectionProperty::$database = "serieale_erpserial";
            $_SESSION['dbname'] = "serieale_erpserial";
        }
    }

}

?>
